<?php

namespace App\Http\Controllers;

use App\Models\Aspect;
use Illuminate\Http\Request;

class AspectController extends Controller
{
    function index()
    {
        $aspects=Aspect::all();
        return view('aspect.index', compact('aspects'));
    }
    function storage(Request $request)
    {
        $aspect=Aspect::create(['name' => $request->name]);
        return response()->json($aspect);
    }
    function update(Request $request)
    {
        $aspect=Aspect::find($request->id);
        $aspect->name=$request->name;
        $aspect->save();
        $aspects=Aspect::all();
        return response()->json($aspects);
    }
    function delete(Request $request)
    {
        Aspect::destroy($request->id);
        return response()->json();
    }
}
