<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateOperatorRequest;
use App\Http\Requests\UpdateOperatorRequest;
use App\Models\Operator;
use Illuminate\Http\Request;

class OperatorController extends Controller
{
    function index()
    {
        $operators=Operator::all();
        return view('operator.index', compact('operators'));
    }
    function storage(CreateOperatorRequest $request)
    {
        $operator=Operator::create(['name' => $request->name]);
        return response()->json($operator);
    }
    function update(UpdateOperatorRequest $request)
    {
        $operator=Operator::find($request->id);
        $operator->name=$request->name;
        $operator->save();
        $operators=Operator::all();
        return response()->json($operators);
    }
    function delete(Request $request)
    {
        Operator::destroy($request->id);
        return response()->json();
    }
}
