<?php

namespace App\Http\Controllers;

use App\Models\Parameter;
use App\Models\Position;
use Illuminate\Http\Request;

class PositionController extends Controller
{
    function index()
    {
        $positions = Position::all();
        return view('position.index', compact('positions'));
    }
    function storage(Request $request)
    {
        $position = Position::create(['name' => $request->name]);
        return response()->json($position);
    }
    function update(Request $request)
    {
        $position = Position::find($request->id);
        $position->name = $request->name;
        $position->save();
        $positions = Position::all();
        return response()->json($positions);
    }
    function delete(Request $request)
    {
        Position::destroy($request->id);
        return response()->json();
    }
}
