<?php

namespace App\Http\Controllers;

use App\Models\Type;
use Illuminate\Http\Request;

class TypeController extends Controller
{
    public function index()
    {
        $types=Type::all();
        return view('type.index', compact('types'));
    }
    public function storage(Request $request)
    {
        $type=Type::create(['name'=> $request->name]);
        return response()->json($type);
    }

    public function update(Request $request)
    {
        $type=Type::find($request->id);
        $type->name=$request->name;
        $type->save();
        $types=Type::all();
        return response()->json($types);
    }
    public function delete(Request $request)
    {
        Type::destroy($request->id);
        return response()->json();
    }
}
