<?php

namespace Database\Seeders;

use App\Models\Operator;
use Database\Seeders\UserSeeder;
// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call([
            UserSeeder::class,
            TypeSeedeer::class,
            PositionSeeder::class,
            ParameterSeeder::class,
            LineSeeder::class,
            AspectSeeder::class,
            OperatorSeeder::class,
            ProductSeeder::class,
        ]);
    }
}
