<?php

namespace Database\Seeders;

use App\Models\Parameter;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class ParameterSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Parameter::create([
            'name' => 'T MAX. TRABAJO EXTRUSORA (ºC)',
            'type_id' => 1,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'T MAX. PARO EXTRUSORA (ºC)',
            'type_id' => 1,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'T MAX. TRABAJO BOMBA ENGRANAJES',
            'type_id' => 1,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'T MAX. PARO BOMBA ENGRANAJES',
            'type_id' => 1,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'PRESIÓN MAX. SALIDA BOMBA ENGRANAJES (bares)',
            'type_id' => 1,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'T MAX. TRABAJO CABEZAL /INTERCAMBIADOR',
            'type_id' => 1,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'T MAX. PARO CABEZAL /INTERCAMBIADOR',
            'type_id' => 1,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Agua o BTO',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'TIPO DE ANTIADHERENTE POLVO',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'MANUAL O AUTOMÁTICO',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Vel.3 (C/BTO/P)',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Vel.4 (C/BTO/P)',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Vel.5 (C/BTO/P)',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Vel.6 (C/BTO/P)',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Vel.7 (C/BTO/P)',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Vel.8 (C/BTO/P)',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Vel.9 (C/BTO/P)',
            'type_id' => 2,
            'position_id' => 1
        ]);
        Parameter::create([
            'name' => 'Vel.10 (C/BTO/P)',
            'type_id' => 2,
            'position_id' => 1
        ]);
    }
}
