<!DOCTYPE html>
<html>

<head>
    <title>Parametros</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/1982bde57c.js" crossorigin="anonymous"></script>
</head>

<body>
    <h1 class="text-center">{{ $title }}</h1>
    <h3 class="text-center">{{ $lot }}</h3>
    @php
        $contador = 0;
        $max=count($operators);
    @endphp
    @foreach ($operators as $operator)
    @php
        $contador=$contador+1
    @endphp
        <table class="table table-bordered">
            <tr>
                <th>Parametro</th>
                <th>Valor</th>
                <th>Validado</th>
            </tr>
            @foreach ($parameters as $parameter)
                @if ($parameter->pivot->operator_id == $operator->id)
                    <tr>
                        <td>{{ $parameter->name }}</td>
                        <td>{{ $parameter->products[0]->pivot->value }}</td>
                        @if ($parameter->pivot->checked)
                            <td>SI</td>
                        @else
                            <td>NO</i></td>
                        @endif
                    </tr>
                @endif
            @endforeach
        </table>
        <div class="card mb-3" style="width: 50%">
            <div class="card-header">
                {{ $operator->name }}
                {{ $operator->pivot->updated_at->format('d/m/Y H:i:s') }}
            </div>
            <ul class="list-group list-group-flush">
                <li class="list-group-item"><img height=200px width=320px src="{{ $operator->pivot->signature }}">
                </li>
            </ul>
        </div>
        @if ($contador != $max)
            <div style="page-break-after:always;"></div>
        @endif
    @endforeach
</body>

</html>
