<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateLineRequest;
use App\Http\Requests\UpdateLineRequest;
use App\Models\Line;
use App\Models\Product;
use Illuminate\Http\Request;

class LineController extends Controller
{
    function index()
    {
        $lines=Line::all();
        return view('line.index', compact('lines'));
    }
    function storage(CreateLineRequest $request)
    {
        $line=Line::create(['name' => $request->name]);
        return response()->json($line);
    }
    function update(UpdateLineRequest $request)
    {
        $line=Line::find($request->id);
        $line->name=$request->name;
        $line->save();
        $lines=Line::all();
        return response()->json($lines);
    }
    function delete(Request $request)
    {
        Line::destroy($request->id);
        return response()->json();
    }

}
