<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('position_product', function (Blueprint $table) {
            $table->timestamps();
            $table->foreign('product_id')->references('id')->on('products');
            $table->bigInteger('product_id')->unsigned();
            $table->foreign('position_id')->references('id')->on('positions');
            $table->bigInteger('position_id')->unsigned();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('position_product');
    }
};
